cadenya tool-sets update _123require "cadenya"
client = Cadenya::Client.new
result = client.tool_sets.update("_123")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ToolSetUpdateParams{}
result, err := client.ToolSets().Update(ctx, "_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.toolSets.update('_123');from cadenya import Cadenya
with Cadenya() as client:
result = client.tool_sets.update("_123")
print(result){
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
}
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update a tool set
Updates a tool set in the workspace
cadenya tool-sets update _123require "cadenya"
client = Cadenya::Client.new
result = client.tool_sets.update("_123")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ToolSetUpdateParams{}
result, err := client.ToolSets().Update(ctx, "_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.toolSets.update('_123');from cadenya import Cadenya
with Cadenya() as client:
result = client.tool_sets.update("_123")
print(result){
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
}
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Tool set ID. Accepts the canonical ts_… form or the external_id: form.
"toolset_01HXKD2E5NQM3T9AYWCFNRMN74"
Body
UpdateResourceMetadata contains the user-provided fields for updating a workspace-scoped resource. Read-only fields (id, account_id, workspace_id, profile_id, created_at) are excluded since they are set by the server.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Standard metadata for persistent, named resources (e.g., agents, tools, prompts)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The current lifecycle state of the tool set. Output only. Tool sets are created STATE_ACTIVE; use the :archive and :unarchive actions to transition between states.
STATE_UNSPECIFIED, STATE_ACTIVE, STATE_ARCHIVED Tool set information
Show child attributes
Show child attributes